searchNodes=[{"doc":"","ref":"Quandl.html","title":"Quandl","type":"module"},{"doc":"","ref":"Quandl.html#get_api_key/0","title":"Quandl.get_api_key/0","type":"function"},{"doc":"API calls for Quandl Time Series API","ref":"Quandl.V3.Api.Databases.html","title":"Quandl.V3.Api.Databases","type":"module"},{"doc":"Retrieves metadata for a time-series database. Parameters database_code (type: String.t) - database code, e.g. WIKI. Returns {:ok, %Quandl.V3.Model.DatabaseMetadataContainer{}} on success {:error, info} on failure","ref":"Quandl.V3.Api.Databases.html#get_metadata/1","title":"Quandl.V3.Api.Databases.get_metadata/1","type":"function"},{"doc":"API calls for Quandl Time Series API","ref":"Quandl.V3.Api.Datasets.html","title":"Quandl.V3.Api.Datasets","type":"module"},{"doc":"Retrieves data from a specified time-series. Parameters database_code (type: String.t) - database code, e.g. WIKI. dataset_code (type: String.t) - dataset code, e.g. FB. optional_params (type: keyword()) - Optional parameters. limit (type: integer()) - limits the dataset. column_index (type: integer()) start_date (type: String.t()) - e.g. &quot;2014-01-01&quot; end_date (type: String.t()) - e.g. &quot;2014-12-31&quot; order (type: String.t()) - &quot;asc&quot; or &quot;desc&quot; (default) collapse (type: String.t()) - &quot;none&quot;, &quot;daily&quot;, &quot;weekly&quot;, &quot;monthly&quot;, &quot;quarterly&quot;, &quot;annual&quot; transform (type: String.t()) - &quot;none&quot;, &quot;diff&quot;, &quot;rdiff&quot;, &quot;rdiff_from&quot;, &quot;cumul&quot; or &quot;normalize&quot; Returns {:ok, %Quandl.V3.Model.DatasetDataContainer{}} on success {:error, info} on failure","ref":"Quandl.V3.Api.Datasets.html#get_data/3","title":"Quandl.V3.Api.Datasets.get_data/3","type":"function"},{"doc":"Retrieves both data and metadata from a specified time-series. Parameters database_code (type: String.t) - database code, e.g. WIKI. dataset_code (type: String.t) - dataset code, e.g. FB. optional_params (type: keyword()) - Optional parameters. limit (type: integer()) - limits the dataset. column_index (type: integer()) start_date (type: String.t()) - e.g. &quot;2014-01-01&quot; end_date (type: String.t()) - e.g. &quot;2014-12-31&quot; order (type: String.t()) - &quot;asc&quot; or &quot;desc&quot; (default) collapse (type: String.t()) - &quot;none&quot;, &quot;daily&quot;, &quot;weekly&quot;, &quot;monthly&quot;, &quot;quarterly&quot;, &quot;annual&quot; transform (type: String.t()) - &quot;none&quot;, &quot;diff&quot;, &quot;rdiff&quot;, &quot;rdiff_from&quot;, &quot;cumul&quot; or &quot;normalize&quot; Returns {:ok, %Quandl.V3.Model.DatasetDataMetadataContainer{}} on success {:error, info} on failure","ref":"Quandl.V3.Api.Datasets.html#get_data_metadata/3","title":"Quandl.V3.Api.Datasets.get_data_metadata/3","type":"function"},{"doc":"Retrieves metadata for a time-series. Parameters database_code (type: String.t) - database code, e.g. WIKI. dataset_code (type: String.t) - dataset code, e.g. FB. Returns {:ok, %Quandl.V3.Model.DatasetMetadataContainer{}} on success {:error, info} on failure","ref":"Quandl.V3.Api.Datasets.html#get_metadata/2","title":"Quandl.V3.Api.Datasets.get_metadata/2","type":"function"},{"doc":"API calls for Quandl Tables API","ref":"Quandl.V3.Api.Datatables.html","title":"Quandl.V3.Api.Datatables","type":"module"},{"doc":"Retrieves table data. Parameters datatable_code (type: String.t) - datatable code, e.g. ETFG/FUND optional_params (type: keyword()) - row filter criteria ticker (type: String.t()) - ticker filter condition, e.g. &quot;SPY&quot; date (type: String.t()) - date filter condition columns (type: String.t()) - lists which columns to return: e.g. &quot;ticker&quot;, &quot;date&quot;, &quot;shares_outstanding&quot; Returns {:ok, %Quandl.V3.Model.DatatableDataContainer{}} on success {:error, info} on failure","ref":"Quandl.V3.Api.Datatables.html#get_data/2","title":"Quandl.V3.Api.Datatables.get_data/2","type":"function"},{"doc":"Retrieves table metadata. Parameters datatable_code (type: String.t) - datatable code, e.g. AR/MWCS # Returns {:ok, %Quandl.V3.Model.DatatableMetadataContainer{}} on success {:error, info} on failure","ref":"Quandl.V3.Api.Datatables.html#get_metadata/1","title":"Quandl.V3.Api.Datatables.get_metadata/1","type":"function"},{"doc":"Handle Tesla connections for Quandl.","ref":"Quandl.V3.Connection.html","title":"Quandl.V3.Connection","type":"module"},{"doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"Quandl.V3.Connection.html#delete/3","title":"Quandl.V3.Connection.delete/3","type":"function"},{"doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"Quandl.V3.Connection.html#delete!/3","title":"Quandl.V3.Connection.delete!/3","type":"function"},{"doc":"Execute a request on this connection Returns {:ok, Tesla.Env.t} - If the call was successful {:error, reason} - If the call failed","ref":"Quandl.V3.Connection.html#execute/2","title":"Quandl.V3.Connection.execute/2","type":"function"},{"doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"Quandl.V3.Connection.html#get/3","title":"Quandl.V3.Connection.get/3","type":"function"},{"doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"Quandl.V3.Connection.html#get!/3","title":"Quandl.V3.Connection.get!/3","type":"function"},{"doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"Quandl.V3.Connection.html#head/3","title":"Quandl.V3.Connection.head/3","type":"function"},{"doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"Quandl.V3.Connection.html#head!/3","title":"Quandl.V3.Connection.head!/3","type":"function"},{"doc":"Configure an authless client connection Returns Tesla.Env.client","ref":"Quandl.V3.Connection.html#new/0","title":"Quandl.V3.Connection.new/0","type":"function"},{"doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (type: list(String.t()) -&gt; String.t()) - Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client","ref":"Quandl.V3.Connection.html#new/1","title":"Quandl.V3.Connection.new/1","type":"function"},{"doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"Quandl.V3.Connection.html#options/3","title":"Quandl.V3.Connection.options/3","type":"function"},{"doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"Quandl.V3.Connection.html#options!/3","title":"Quandl.V3.Connection.options!/3","type":"function"},{"doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"Quandl.V3.Connection.html#patch/4","title":"Quandl.V3.Connection.patch/4","type":"function"},{"doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"Quandl.V3.Connection.html#patch!/4","title":"Quandl.V3.Connection.patch!/4","type":"function"},{"doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"Quandl.V3.Connection.html#post/4","title":"Quandl.V3.Connection.post/4","type":"function"},{"doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"Quandl.V3.Connection.html#post!/4","title":"Quandl.V3.Connection.post!/4","type":"function"},{"doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"Quandl.V3.Connection.html#put/4","title":"Quandl.V3.Connection.put/4","type":"function"},{"doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])","ref":"Quandl.V3.Connection.html#put!/4","title":"Quandl.V3.Connection.put!/4","type":"function"},{"doc":"Perform a request. Options :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples ExampleApi.request(method: :get, url: &quot;/users/path&quot;) # use shortcut methods ExampleApi.get(&quot;/users/1&quot;) ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})","ref":"Quandl.V3.Connection.html#request/2","title":"Quandl.V3.Connection.request/2","type":"function"},{"doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options.","ref":"Quandl.V3.Connection.html#request!/2","title":"Quandl.V3.Connection.request!/2","type":"function"},{"doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"Quandl.V3.Connection.html#trace/3","title":"Quandl.V3.Connection.trace/3","type":"function"},{"doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])","ref":"Quandl.V3.Connection.html#trace!/3","title":"Quandl.V3.Connection.trace!/3","type":"function"},{"doc":"","ref":"Quandl.V3.Connection.html#t:option/0","title":"Quandl.V3.Connection.option/0","type":"type"},{"doc":"","ref":"Quandl.V3.Connection.html#t:t/0","title":"Quandl.V3.Connection.t/0","type":"type"},{"doc":"Database metadata. Attributes id (type: Integer.t), default: nil) database_code (type: String.t), default: nil) name (type: String.t, default: nil) description (type: String.t), default: nil) datasets_count (type: Integer.t), default: nil) downloads (type: Integer.t), default: nil) premium (type: Boolean.t), default: nil) image (type: String.t), default: nil) favorite (type: Boolean.t), default: nil) url_name (type: String.t), default: nil)","ref":"Quandl.V3.Model.DatabaseMetadata.html","title":"Quandl.V3.Model.DatabaseMetadata","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"Quandl.V3.Model.DatabaseMetadata.html#decode/2","title":"Quandl.V3.Model.DatabaseMetadata.decode/2","type":"function"},{"doc":"","ref":"Quandl.V3.Model.DatabaseMetadata.html#t:t/0","title":"Quandl.V3.Model.DatabaseMetadata.t/0","type":"type"},{"doc":"Database Metadata Container. Attributes database (type: Quandl.V3.Model.DatabaseMetadata.t), default: nil)","ref":"Quandl.V3.Model.DatabaseMetadataContainer.html","title":"Quandl.V3.Model.DatabaseMetadataContainer","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"Quandl.V3.Model.DatabaseMetadataContainer.html#decode/2","title":"Quandl.V3.Model.DatabaseMetadataContainer.decode/2","type":"function"},{"doc":"","ref":"Quandl.V3.Model.DatabaseMetadataContainer.html#t:t/0","title":"Quandl.V3.Model.DatabaseMetadataContainer.t/0","type":"type"},{"doc":"Dataset Data for a time-series. Attributes data (type: list()), default: nil) column_index (type: Integer.t), default: nil) column_names (type: list(String.t), default: nil) start_date (type: String.t), default: nil) end_data (type: Date.t), default: nil) frequency (type: Date.t), default: nil) limit (type: String.t), default: nil) order (type: String.t), default: nil) transform (type: String.t), default: nil) collapse (type: String.t), default: nil)","ref":"Quandl.V3.Model.DatasetData.html","title":"Quandl.V3.Model.DatasetData","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"Quandl.V3.Model.DatasetData.html#decode/2","title":"Quandl.V3.Model.DatasetData.decode/2","type":"function"},{"doc":"","ref":"Quandl.V3.Model.DatasetData.html#t:t/0","title":"Quandl.V3.Model.DatasetData.t/0","type":"type"},{"doc":"Dataset Data Container. Attributes dataset_data (type: Quandl.V3.Model.DatasetData.t), default: nil)","ref":"Quandl.V3.Model.DatasetDataContainer.html","title":"Quandl.V3.Model.DatasetDataContainer","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"Quandl.V3.Model.DatasetDataContainer.html#decode/2","title":"Quandl.V3.Model.DatasetDataContainer.decode/2","type":"function"},{"doc":"","ref":"Quandl.V3.Model.DatasetDataContainer.html#t:t/0","title":"Quandl.V3.Model.DatasetDataContainer.t/0","type":"type"},{"doc":"Dataset Data + Metadata for a time-series. Attributes id (type: Integer.t), default: nil) dataset_code (type: String.t), default: nil) database_id (type: Integer.t), default: nil) database_code (type: String.t), default: nil) name (type: String.t), default: nil) decription (type: String.t), default: nil) refreshed_at (type: String.t), default: nil) oldest_available_date (type: String.t), default: nil) newest_available_date (type: String.t), default: nil) column_names (type: list(String.t), default: nil) column_names (type: list(String.t), default: nil) frequency (type: String.t), default: nil) type (type: String.t), default: nil) premium (type: boolean()), default: nil) start_date (type: String.t), default: nil) end_data (type: Date.t), default: nil) frequency (type: Date.t), default: nil) limit (type: String.t), default: nil) order (type: String.t), default: nil) transform (type: String.t), default: nil) collapse (type: String.t), default: nil) data (type: list()), default: nil)","ref":"Quandl.V3.Model.DatasetDataMetadata.html","title":"Quandl.V3.Model.DatasetDataMetadata","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"Quandl.V3.Model.DatasetDataMetadata.html#decode/2","title":"Quandl.V3.Model.DatasetDataMetadata.decode/2","type":"function"},{"doc":"","ref":"Quandl.V3.Model.DatasetDataMetadata.html#t:t/0","title":"Quandl.V3.Model.DatasetDataMetadata.t/0","type":"type"},{"doc":"Dataset Container for Data and Metadata. Attributes dataset (type: Quandl.V3.Model.DatasetDataMetadata.t), default: nil)","ref":"Quandl.V3.Model.DatasetDataMetadataContainer.html","title":"Quandl.V3.Model.DatasetDataMetadataContainer","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"Quandl.V3.Model.DatasetDataMetadataContainer.html#decode/2","title":"Quandl.V3.Model.DatasetDataMetadataContainer.decode/2","type":"function"},{"doc":"","ref":"Quandl.V3.Model.DatasetDataMetadataContainer.html#t:t/0","title":"Quandl.V3.Model.DatasetDataMetadataContainer.t/0","type":"type"},{"doc":"Dataset Metadata for a time-series. Attributes id (type: Integer.t), default: nil) dataset_code (type: String.t), default: nil) database_id (type: Integer.t), default: nil) database_code (type: String.t), default: nil) name (type: String.t), default: nil) decription (type: String.t), default: nil) refreshed_at (type: String.t), default: nil) oldest_available_date (type: String.t), default: nil) newest_available_date (type: String.t), default: nil) column_names (type: list(String.t)), default: nil) frequency (type: String.t), default: nil) type (type: String.t), default: nil) premium (type: boolean()), default: nil)","ref":"Quandl.V3.Model.DatasetMetadata.html","title":"Quandl.V3.Model.DatasetMetadata","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"Quandl.V3.Model.DatasetMetadata.html#decode/2","title":"Quandl.V3.Model.DatasetMetadata.decode/2","type":"function"},{"doc":"","ref":"Quandl.V3.Model.DatasetMetadata.html#t:t/0","title":"Quandl.V3.Model.DatasetMetadata.t/0","type":"type"},{"doc":"Dataset Metadata Container. Attributes dataset (type: Quandl.V3.Model.DatasetMetadata.t), default: nil)","ref":"Quandl.V3.Model.DatasetMetadataContainer.html","title":"Quandl.V3.Model.DatasetMetadataContainer","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"Quandl.V3.Model.DatasetMetadataContainer.html#decode/2","title":"Quandl.V3.Model.DatasetMetadataContainer.decode/2","type":"function"},{"doc":"","ref":"Quandl.V3.Model.DatasetMetadataContainer.html#t:t/0","title":"Quandl.V3.Model.DatasetMetadataContainer.t/0","type":"type"},{"doc":"Datatable Data. Attributes data (type: list()), default: nil)","ref":"Quandl.V3.Model.DatatableData.html","title":"Quandl.V3.Model.DatatableData","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"Quandl.V3.Model.DatatableData.html#decode/2","title":"Quandl.V3.Model.DatatableData.decode/2","type":"function"},{"doc":"","ref":"Quandl.V3.Model.DatatableData.html#t:t/0","title":"Quandl.V3.Model.DatatableData.t/0","type":"type"},{"doc":"Datatable Data Container. Attributes datatable (type: Quandl.V3.Model.DatatableData.t), default: nil)","ref":"Quandl.V3.Model.DatatableDataContainer.html","title":"Quandl.V3.Model.DatatableDataContainer","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"Quandl.V3.Model.DatatableDataContainer.html#decode/2","title":"Quandl.V3.Model.DatatableDataContainer.decode/2","type":"function"},{"doc":"","ref":"Quandl.V3.Model.DatatableDataContainer.html#t:t/0","title":"Quandl.V3.Model.DatatableDataContainer.t/0","type":"type"},{"doc":"Datatable Metadata. Attributes vendor_code (type: String.t), default: nil) datatable_code (type: String.t), default: nil) name (type: String.t), default: nil) description (type: String.t), default: nil) columns (type: list()), default: nil) filters (type: list()), default: nil) primary_key (type: list()), default: nil) premium (type: boolean()), default: nil) status (type: map()), default: nil)","ref":"Quandl.V3.Model.DatatableMetadata.html","title":"Quandl.V3.Model.DatatableMetadata","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"Quandl.V3.Model.DatatableMetadata.html#decode/2","title":"Quandl.V3.Model.DatatableMetadata.decode/2","type":"function"},{"doc":"","ref":"Quandl.V3.Model.DatatableMetadata.html#t:t/0","title":"Quandl.V3.Model.DatatableMetadata.t/0","type":"type"},{"doc":"Datatablee Metadata Container. Attributes datatable (type: Quandl.V3.Model.DatatableMetadata.t), default: nil)","ref":"Quandl.V3.Model.DatatableMetadataContainer.html","title":"Quandl.V3.Model.DatatableMetadataContainer","type":"module"},{"doc":"Unwrap a decoded JSON object into its complex fields.","ref":"Quandl.V3.Model.DatatableMetadataContainer.html#decode/2","title":"Quandl.V3.Model.DatatableMetadataContainer.decode/2","type":"function"},{"doc":"","ref":"Quandl.V3.Model.DatatableMetadataContainer.html#t:t/0","title":"Quandl.V3.Model.DatatableMetadataContainer.t/0","type":"type"},{"doc":"Failure to properly authenticate yourself in the request.","ref":"Quandl.V3.AuthenticationError.html","title":"Quandl.V3.AuthenticationError","type":"exception"}]